<?php
// +----------------------------------------------------------------------
// | SentCMS [ WE CAN DO IT JUST THINK IT ]
// +----------------------------------------------------------------------
// | Copyright (c) 2024 http://www.tensent.cn All rights reserved.
// +----------------------------------------------------------------------
// | Author: molong <molong@tensent.cn> <http://www.tensent.cn>
// +----------------------------------------------------------------------
namespace App\Http\Controllers\Api\System;

use Illuminate\Http\Request;
use App\Http\Controllers\BaseController;
use App\Services\System\QrcodeService;

class Index extends BaseController {

	/**
	 * @title 生成二维码
	 *
	 * @param Request $request
	 * @return void
	 */
	public function qrcode(Request $request, QrcodeService $service){
		try {
			$this->data['data'] = $service->getQrcode($request);
		} catch (\Exception $e) {
			$this->data['code'] = 0;
			$this->data['message'] = $e->getMessage();
		}

		return response()->json($this->data);
	}

}
